function create_nc,line,verbose=verbose
  
;THIS SUBROUTINE CALCULATE THE SHIFT AND STRENGTH OF THE
;ANOMALOUS ZEEMAN EFFECT IN LS COUPLING
;AND CREATE A COMMON BLOCK N_CUANTEN WITH ALL THE PARAMETERS

;THE STRUCTURE OF C_N IS THE FOLLOWING:
;IS A VECTOR STRUCTURE  CONTAINING THE DIFERENT LINES
;IN THE CASE OF HELIUM THE DIMENSION IS THREE
;INSIDE YOU WILL FIND THE SHIFTS AND THE STRENGTHS
;IN ORDER TO CREATE A STRUCTURE MORE EASILY, THE DIMENSION OF
;THE VARIABLES IS SET UP TO THE BIGGER ONE, AND THIS IS BECAUSE 
;YOU ALSO HAVE THE NUMBER OF PI AND SIGMA COMPONENTS
;WITH THESE TWO VARIABLES YOU KNOW ALLWAIS WHICH IS THE
;SPLITTING OF THE LINES, WHICH DOES NOT COINCIDE WITH THE REAL DIMENSION  
;THEY ARE N_PI, N_SIG (NUMBER OF COMPONENTS)
;NUP(N_PI),NUB(N_SIG),NUR(N_SIG) SHIFTS OF PRINCIPAL,BLUE AND RED COMPONENTS
;WEP(N_PI),WEB(N_SIG),WER(N_SIG) RESPECTIVE STRENGTHS
;IN GENERAL: CUANTEN(LINE).NUP ..... ETCETERA
  if n_elements(verbose) eq 0 then verbose=keyword_set(verbose)

  N_LINES=N_ELEMENTS(line)
  
  sl=float(line.sl) & su=float(line.su)
  ll=float(line.ll) & lu=float(line.lu)
  jl=float(line.jl) & ju=float(line.ju)

  
;ASSIGN THE VARIABLES TO THE STRUCTURE
  FOR I=0,N_LINES-1 DO BEGIN
    N_PI=2.*MIN([jl(I),ju(I)])+1
    N_SIG=jl(I)+ju(I)
                                ;CUANTEN COMPUTES THE CUANTEM NUMBERS
    CUANTEN,SL(I),SU(I),LL(I),LU(I),JL(I),JU(I), $
      NUB,NUP,NUR,WEB,WEP,WER,GLO,GUP,GEF
    LINE(I).QUAN.N_PI=N_PI
    LINE(I).QUAN.N_SIG=N_SIG
    LINE(I).QUAN.NUB(0:N_SIG-1)=NUB
    LINE(I).QUAN.NUP(0:N_PI-1)=NUP
    LINE(I).QUAN.NUR(0:N_SIG-1)=NUR
    LINE(I).QUAN.WEB(0:N_SIG-1)=WEB
    LINE(I).QUAN.WEP(0:N_PI-1)=WEP
    LINE(I).QUAN.WER(0:N_SIG-1)=WER
    line(i).GL=GLO
    line(i).GU=GUP
    line(i).GEFF=GEF
    if verbose ge 1 then begin
      print,string(line(i).id),'geff=',gef,'gup=',gup,'glo=',glo, $
        'npi=',n_pi,'nsig=',n_sig, $
        format='(a14,3(a6,f7.4),2(a6,i2))'
    endif
  ENDFOR
  
  return,line
END


